package com.zehong.system.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 巡检车打卡对象 t_car_task_inspect
 * 
 * @author zehong
 * @date 2026-05-15
 */
public class TCarTaskInspect extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 任务id */
    @Excel(name = "任务id")
    private Long taskId;

    /** 经度 */
    @Excel(name = "经度")
    private BigDecimal longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private BigDecimal latitude;

    /** 速度 */
    @Excel(name = "速度")
    private Long speed;

    /** 角度 */
    @Excel(name = "角度")
    private Long angle;

    /** 甲烷，单位ppm */
    @Excel(name = "甲烷，单位ppm")
    private Long ch4;

    /** 乙烷，单位ppb */
    @Excel(name = "乙烷，单位ppb")
    private Long c2h6;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setLongitude(BigDecimal longitude) 
    {
        this.longitude = longitude;
    }

    public BigDecimal getLongitude() 
    {
        return longitude;
    }
    public void setLatitude(BigDecimal latitude) 
    {
        this.latitude = latitude;
    }

    public BigDecimal getLatitude() 
    {
        return latitude;
    }
    public void setSpeed(Long speed) 
    {
        this.speed = speed;
    }

    public Long getSpeed() 
    {
        return speed;
    }
    public void setAngle(Long angle) 
    {
        this.angle = angle;
    }

    public Long getAngle() 
    {
        return angle;
    }
    public void setCh4(Long ch4) 
    {
        this.ch4 = ch4;
    }

    public Long getCh4() 
    {
        return ch4;
    }
    public void setC2h6(Long c2h6) 
    {
        this.c2h6 = c2h6;
    }

    public Long getC2h6() 
    {
        return c2h6;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskId", getTaskId())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .append("speed", getSpeed())
            .append("angle", getAngle())
            .append("ch4", getCh4())
            .append("c2h6", getC2h6())
            .append("createTime", getCreateTime())
            .toString();
    }
}
